# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.CredentialRecord.ICredentialStage

Packages that use CredentialRecord.ICredentialStage
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage
Storage APIs for WebAuthn.

## Uses of CredentialRecord.ICredentialStage in net.shibboleth.idp.plugin.authn.webauthn.storage

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage that implement CredentialRecord.ICredentialStage
Modifier and Type
Class
Description
`static final class`
`CredentialRecord.Builder`
Builder.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage that return CredentialRecord.ICredentialStage
Modifier and Type
Method
Description
`CredentialRecord.ICredentialStage`
CredentialRecord.Builder.`withRegistrationTime(Instant time)`
`CredentialRecord.ICredentialStage`
CredentialRecord.IRegistrationTimeStage.`withRegistrationTime(Instant registrationTime)`
Set the time the registration took place.